summaryrefslogtreecommitdiff
path: root/dev-python/regex
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-19 03:05:46 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-19 03:05:46 -0500
commit2b878031702361370da8f648ac080b3fe38f34d3 (patch)
treeb589026a2cdd86f9f0d7478fc94d4631076ef26c /dev-python/regex
parent08bfa3f8ec685ab603d0c1995d79d00a1a0fbe1a (diff)
downloadbaldeagleos-repo-2b878031702361370da8f648ac080b3fe38f34d3.tar.gz
baldeagleos-repo-2b878031702361370da8f648ac080b3fe38f34d3.tar.xz
baldeagleos-repo-2b878031702361370da8f648ac080b3fe38f34d3.zip
Adding metadata
Diffstat (limited to 'dev-python/regex')
-rw-r--r--dev-python/regex/Manifest1
-rw-r--r--dev-python/regex/regex-2026.7.19.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/regex/Manifest b/dev-python/regex/Manifest
index c9f54135fe9e..fef0ca879d7e 100644
--- a/dev-python/regex/Manifest
+++ b/dev-python/regex/Manifest
@@ -1,3 +1,4 @@
DIST regex-2026.5.9.tar.gz 416074 BLAKE2B 76b6802ebede45eeb54bbada24f9cde5a6b16a304d4edf3f05464b04e3a3a064c2417fe2c5ef7e599cb67fcdea76a3b02648a621095b4a1c88e0a8141495f7c1 SHA512 c118b46e5746c83e7e93f2bcb85b4e85e04b04670a3aef0eab0b1707c653e98ed79fe5007734b15358023c5a30282fadb0947c3590388d64410e53d49ca63df5
DIST regex-2026.6.28.tar.gz 416101 BLAKE2B 58b5cc513180239c9b56891d64039be2ea615d976ec652153d401af518fe2bca084378bc75eccd316f04c6b49eace42b205936a39e130c1c13f2644c81411a4e SHA512 2f0cbe5c45a69f00e33190fdbfc2faf2b6c4c66cf8cb13fc6dde55dbed8506548db89d7b6bceb66ae31912655c8cb984813a6bdbea89e975735316833b4edd14
DIST regex-2026.7.10.tar.gz 416282 BLAKE2B 145e8a7d3f0d3ad130d3b8426b97de145b3d04c6a98407788f8bb3515a3350952ff05e754bb29791a2356ec2aa8e6c5249a03181015e8c928cf71e7cef803698 SHA512 aae3e083d972a18eec000150c9858e8ff835d447193ec5df5b9e3afd330b7c67b6f4825f0773a2e744b77380aaff7a43be5034168bba7f497fa39798eb40822f
+DIST regex-2026.7.19.tar.gz 416440 BLAKE2B c7e922fca496731dba5130bd7f572df56adfd5c31db6812f935ede24060b3fb6abca57836f3d0a0ad7bcee6433e1520b14611657495e6e844fc2d5d99d6dba32 SHA512 807b987dd5fa12f5fdb95c79955823f263f03f23059c8ec1783958bab5dadb1c38dab022a3e519ebb6810b6e03692c14b4d354506ff7a00a7323ee79d61f4e34
diff --git a/dev-python/regex/regex-2026.7.19.ebuild b/dev-python/regex/regex-2026.7.19.ebuild
new file mode 100644
index 000000000000..f45afd466843
--- /dev/null
+++ b/dev-python/regex/regex-2026.7.19.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# pypy isn't supported upstream because of its UTF8 representation for strings
+# See https://github.com/mrabarnett/mrab-regex/issues/521#issuecomment-1936260187.
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Alternative regular expression module to replace re"
+HOMEPAGE="
+ https://github.com/mrabarnett/mrab-regex/
+ https://pypi.org/project/regex/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="doc"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/Features.html )
+ local DOCS=( README.rst docs/*.rst )
+
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/regex/tests" || die
+ eunittest
+}